/*******************************************************
 Author:					Manfred Langemann
 mailto:					Manfred.Langemann@t-online.de
 Latest version generated:	05.05.2007
 Filename:					Main.c
 Description:    			Main program to test
 							Real Time Clock Implementation

 Note: 
 Real Time Clock Implementation with IC RTC4513 by EPSON
 
 Implementation for ATmega32 with 8MHz clock

  *******************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include "Main.h"
#include "RealTimeClock.h"


int main (void)
	{
	RTC_Para_typ	RTC_Para;

	cli();
/*
** Init RS232
** Welcome .....
*/
//	RS232_Init ();	// Function to be provided by user
//	to allow printf function
//	printf ("Hello world ...\n");
/*
** Initiate Real Time Clock
*/
	RTC_Init ();
/*
** Set Time, Date and DoW
*/
	RTC_Para.Second		= 30;
	RTC_Para.Minute		= 59;
	RTC_Para.Hour		= 23;

	RTC_Para.Day		= 31;
	RTC_Para.Month		= 12;
	RTC_Para.Year		= 07;
	RTC_Para.DayOfWeek  = 7;	// Note: DoW = {1-7}

	RTC_SetTimeDateDoW (&RTC_Para);
/*
** Get Time (s,m,h, D, M, Y, DoW)
*/
	while (1)
		{
		RTC_GetTimeDateDoW (&RTC_Para);
/*
		printf ("%02d:%02d:%02d %02d.%02d.%02d - %1d\n", 
			RTC_Para.Hour,
			RTC_Para.Minute,
			RTC_Para.Second,
			RTC_Para.Day,
			RTC_Para.Month,
			RTC_Para.Year,
			RTC_Para.DayOfWeek);
*/
		}

	return (1);
	}



